Bug 241744 - [PATCH] merge duplicate ROS-related ports in devel and misc
Summary: [PATCH] merge duplicate ROS-related ports in devel and misc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 242196 242197
  Show dependency treegraph
 
Reported: 2019-11-05 21:18 UTC by Trenton Schulz
Modified: 2019-11-24 19:54 UTC (History)
3 users (show)

See Also:


Attachments
Patch to merge the duplicate ports (15.31 KB, patch)
2019-11-05 21:18 UTC, Trenton Schulz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Trenton Schulz 2019-11-05 21:18:39 UTC
Created attachment 208893 [details]
Patch to merge the duplicate ports

There are currently duplicate ports for ROS:

devel/ros-console_bridge and misc/console-bridge
devel/ros-urdfdom and misc/urdfdom
devel/ros-urdfdom_headers and misc/urdfdom-headers

This patch merges the misc ports into the devel ports. The upshot should be that the duplication and confusion is removed but we keep the functionality.
Comment 1 Kurt Jaeger freebsd_committer 2019-11-06 20:35:45 UTC
testing@work
Comment 2 Kurt Jaeger freebsd_committer 2019-11-24 19:53:44 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2019-11-24 19:54:33 UTC
A commit references this bug:

Author: pi
Date: Sun Nov 24 19:53:41 UTC 2019
New revision: 518357
URL: https://svnweb.freebsd.org/changeset/ports/518357

Log:
  merge duplicate ROS-related ports in devel and misc

  There are currently duplicate ports for ROS:

  devel/ros-console_bridge and misc/console-bridge
  devel/ros-urdfdom and misc/urdfdom
  devel/ros-urdfdom_headers and misc/urdfdom-headers

  This patch merges the misc ports into the devel ports. The upshot
  should be that the duplication and confusion is removed but we keep
  the functionality.

  PR:		241744
  Submitted by:	Trenton Schulz <trueos@norwegianrockcat.com> (maintainer)
  Approved by:	yuri (maintainer of the duplicate ports)

Changes:
  head/MOVED
  head/devel/ros-console_bridge/Makefile
  head/devel/ros-console_bridge/files/
  head/devel/ros-console_bridge/files/patch-CMakeLists.txt
  head/devel/ros-urdfdom/Makefile
  head/devel/ros-urdfdom/files/
  head/devel/ros-urdfdom/files/patch-CMakeLists.txt
  head/devel/ros-urdfdom/files/patch-urdf__parser_CMakeLists.txt
  head/devel/ros-urdfdom/pkg-plist
  head/devel/ros-urdfdom_headers/Makefile
  head/misc/console-bridge/
  head/misc/urdfdom/
  head/misc/urdfdom-headers/